### Method

# GimpUi ProcedureDialog fill_paned

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_fill_paned (
      GimpProcedureDialog* dialog,
      const gchar* container_id,
      GtkOrientation orientation,
      const gchar* child1_id,
      const gchar* child2_id
    )

#### Description [src]

Creates and populates a new `GtkPaned` containing widgets corresponding to `child1_id` and `child2_id`. This is similar of how `gimp_procedure_dialog_fill()` works except that it creates a new widget which is not inside `dialog` itself.

The `container_id` must be a unique ID which is neither the name of a property of the `GimpProcedureConfig` associated to `dialog`, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside `dialog` itself.

#### Parameters

`container_id`

  Type: `const gchar*`

  A container identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`orientation`

  Type: `GtkOrientation`

  No description available.

`child1_id`

  Type: `const gchar*`

  The first child’s ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`child2_id`

  Type: `const gchar*`

  The second child’s ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The `GtkPaned` representing `property`. The object belongs to `dialog` and must not be freed.

The data is owned by the instance.